Sign in Start for free

Event Retention

Get the list of archived event files

GET /api/events/archives

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Archived Event files

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • CreatedDate string
      Format date-time.
    • FileBytes number
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • ModifiedDate string
      Format date-time.
    • Name string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "CreatedDate": "2020-01-01T00:00:00.000Z",
      "FileBytes": 0,
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "ModifiedDate": "2020-01-01T00:00:00.000Z",
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get the list of archived event files

GET /api/events/archives/v1

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Archived Event files

  • ArchivedFiles object
    • Id string
      Gets or sets a unique identifier for this resource.
    • ItemType string
    • Items array of object
    • ItemsPerPage integer
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LastPageNumber integer
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • NumberOfPages integer
    • TotalResults integer

Example Response

JSON
{
  "ArchivedFiles": {
    "Id": "string",
    "ItemType": "string",
    "Items": [
      {
        "CreatedDate": "2020-01-01T00:00:00.000Z",
        "FileBytes": 0,
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {},
        "ModifiedDate": "2020-01-01T00:00:00.000Z",
        "Name": "string"
      }
    ],
    "ItemsPerPage": 0,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "LastPageNumber": 0,
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "NumberOfPages": 0,
    "TotalResults": 0
  }
}

Download an archived event file

GET /api/events/archives/{fileName}

Path Parameters

  • fileName string (required)
    The file name of archived events file to download.

Response

200 — Success

Example Response

JSON
"string"

Delete an archived event file

DELETE /api/events/archives/{fileName}

Path Parameters

  • fileName string (required)
    The file name of archived events file to delete.

Response

200 — Success

Delete an archived event file

DELETE /api/events/archives/{fileName}/v1

Path Parameters

  • fileName string (required)
    The file name of archived events file to delete.

Response

200 — Confirmation that the Archived Event File has been deleted, containing the filename

  • FileName string
    Minimum length 1.

Example Response

JSON
{
  "FileName": "string"
}